import * as ui from "@minecraft/server-ui";
import { ActionFormData,  MessageFormData,  ModalFormData} from "@minecraft/server-ui";
import { world, system, Player, MolangVariableMap, Entity} from "@minecraft/server";
const overworld = world.getDimension('minecraft:overworld');
import {world as World} from "@minecraft/server";

world.beforeEvents.itemUse.subscribe((eventData) => {
    if (eventData.itemStack?.typeId === "well:teleporterapido") {
        let player = eventData.source;
        player.runCommandAsync("/function scripts_forms/pergaminho");

        const tagActions = {
            "novice": () => menulistwell(player),
            "novice1": () => menulistwell(player),
            "novice2": () => menulistwell(player),
            "novice3": () => menulistwell(player),
            "boss1": () => menulistwell(player),
			
            "adventure": () => menulistwell1(player),
            "adventure1": () => menulistwell1(player),
            "adventure2": () => menulistwell1(player),
            "adventure3": () => menulistwell1(player),
            "adventure4": () => menulistwell1(player),
            "boss2": () => menulistwell1(player),
			
			"master": () => menulistwell2(player),
            "master1": () => menulistwell2(player),
            "master2": () => menulistwell2(player),
            "boss3": () => menulistwell2(player),
			
            "hero": () => menulistwell3(player),
            "hero1": () => menulistwell3(player),
            "hero2": () => menulistwell3(player),
            "hero3": () => menulistwell3(player),
            "hero4": () => menulistwell3(player),
			
            "boss4": () => menulistwell4(player),
			"legendary": () => menulistwell4(player),
			
			"genero": () => genero(player),
        };

        // Check if player has any of the specified tags
        for (const tag in tagActions) {
            if (player.hasTag(tag)) {
                system.run(tagActions[tag]);
                break;
            }
        }
    }
});

export function cinematica1(player) {
    let form = new ui.ActionFormData();
	form.title("cinematica1");
    form.body("");
    form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        cinematica2(player) }
    });
}
export function cinematica2(player) {
    let form = new ui.ActionFormData();
	form.title("cinematica2");
    form.body("");
    form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        cinematica3(player) }
    });
}
export function cinematica3(player) {
    let form = new ui.ActionFormData();
	form.title("cinematica3");
    form.body("");
    form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        cinematica4(player) }
    });
}
export function cinematica4(player) {
    let form = new ui.ActionFormData();
	form.title("cinematica4");
    form.body("");
    form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        cinematica5(player) }
    });
}
export function cinematica5(player) {
    let form = new ui.ActionFormData();
	form.title("cinematica5");
    form.body("");
    form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        cinematica6(player) }
    });
}
export function cinematica6(player) {
    let form = new ui.ActionFormData();
	form.title("cinematica6");
    form.body("");
    form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        cinematica7(player) }
    });
}
export function cinematica7(player) {
    let form = new ui.ActionFormData();
	form.title("cinematica7");
    form.body("");
    form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        cinematica8(player) }
    });
}
export function cinematica8(player) {
    let form = new ui.ActionFormData();
	form.title("cinematica8");
    form.body("");
    form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        cinematica9(player) }
    });
}
export function cinematica9(player) {
    let form = new ui.ActionFormData();
	form.title("cinematica9");
    form.body("");
    form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        cinematica10(player) }
    });
}
export function cinematica10(player) {
    let form = new ui.ActionFormData();
	form.title("cinematica10");
    form.body("");
    form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        cinematica11(player) }
    });
}
export function cinematica11(player) {
    let form = new ui.ActionFormData();
	form.title("cinematica11");
    form.body("");
    form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        genero(player) }
    });
}

export function genero(player) {
    let form = new ui.ActionFormData();
    form.title("genero");
    form.body("");
    form.button({ rawtext: [{ translate: "opcoes.masculino" }]}, "textures/ui/icon_steve.png");
    form.button({ rawtext: [{ translate: "opcoes.feminino" }]}, "textures/ui/icon_alex.png");
    
    form.show(player).then((result) => {
        if (result === null) {
            // Se result for null, significa que o jogador fechou o formulário sem seleção
			player.runCommandAsync("/tag @s add genero");
            genero(player); // Reabre o formulário
        } else {
            // Verifica a seleção feita pelo jogador
            if (result.selection == 0) {
                player.runCommandAsync("/scoreboard players set @s genero 1");
                raca_mago(player); // Chama a próxima função após definir o gênero
            } else if (result.selection == 1) {
                player.runCommandAsync("/scoreboard players set @s genero 2");
                raca_mago(player); // Chama a próxima função após definir o gênero
            }
        }
    });
}

export function raca_humana(player) {
    let form = new ui.ActionFormData();
	form.title("raca_humana");
    form.body("");
    form.button({ rawtext: [{ translate: "<<" }] });
	form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        raca_mago(player) }
		
		//if (result.selection == 1) {
        //player.runCommandAsync("/function classe/humano");}
		
		if (result.selection == 1) {
        raca_humana(player)}
		
		if (result.selection == 2) {
        raca_elfo(player) }
    });
}
export function raca_elfo(player) {
    let form = new ui.ActionFormData();
	form.title("raca_elfo");
    form.body("");
    form.button({ rawtext: [{ translate: "<<" }] });
	form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        raca_humana(player) }
		
		//if (result.selection == 1) {
        //player.runCommandAsync("/function classe/elfo");}
		
		if (result.selection == 1) {
        raca_elfo(player)}
		
		if (result.selection == 2) {
        raca_mago(player) }
    });
}
export function raca_mago(player) {
    let form = new ui.ActionFormData();
	form.title("raca_mago");
    form.body("");
    form.button({ rawtext: [{ translate: "<<" }] });
	form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        raca_elfo(player) }
		
		if (result.selection == 1) {
        player.runCommandAsync("/function classe/mago");}
		
		if (result.selection == 2) {
        raca_humana(player) }
    });
}
