import * as ui from "@minecraft/server-ui";
import { ActionFormData,  MessageFormData,  ModalFormData} from "@minecraft/server-ui";
import { world, system, Player, MolangVariableMap, Entity} from "@minecraft/server";
const overworld = world.getDimension('minecraft:overworld');
import {world as World} from "@minecraft/server";

world.beforeEvents.itemUse.subscribe((eventData) => {
    if (eventData.itemStack?.typeId === "well:teleporterapido") {
        let player = eventData.source;
        player.runCommandAsync("/function scripts_forms/pergaminho");

        const tagActions = {
            "novice": () => menulistwell(player),
            "novice1": () => menulistwell(player),
            "novice2": () => menulistwell(player),
            "novice3": () => menulistwell(player),
            "boss1": () => menulistwell(player),
			
            "adventure": () => menulistwell1(player),
            "adventure1": () => menulistwell1(player),
            "adventure2": () => menulistwell1(player),
            "adventure3": () => menulistwell1(player),
            "adventure4": () => menulistwell1(player),
            "boss2": () => menulistwell1(player),
			
			"master": () => menulistwell2(player),
            "master1": () => menulistwell2(player),
            "master2": () => menulistwell2(player),
            "boss3": () => menulistwell2(player),
			
            "hero": () => menulistwell3(player),
            "hero1": () => menulistwell3(player),
            "hero2": () => menulistwell3(player),
            "hero3": () => menulistwell3(player),
            "hero4": () => menulistwell3(player),
			
            "boss4": () => menulistwell4(player),
			"legendary": () => menulistwell4(player),
			
			"genero": () => genero(player),
        };

        // Check if player has any of the specified tags
        for (const tag in tagActions) {
            if (player.hasTag(tag)) {
                system.run(tagActions[tag]);
                break;
            }
        }
    }
});

export function menu_lula_d2(player) {
    let form = new ui.ActionFormData();
	form.title("bau_interface_lula_d2");
    form.body("");
    form.button({ rawtext: [{ translate: "ok" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        }
    });
}
export function menu_zumbi_d2(player) {
    let form = new ui.ActionFormData();
	form.title("bau_interface_zumbi_d2");
    form.body("");
    form.button({ rawtext: [{ translate: "ok" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        }
    });
}
export function menu_allay_d2(player) {
    let form = new ui.ActionFormData();
	form.title("bau_interface_allay_d2");
    form.body("");
    form.button({ rawtext: [{ translate: "ok" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        }
    });
}
