import * as ui from "@minecraft/server-ui";
import { ActionFormData,  MessageFormData,  ModalFormData} from "@minecraft/server-ui";
import { world, system, Player, MolangVariableMap, Entity} from "@minecraft/server";
const overworld = world.getDimension('minecraft:overworld');
import {world as World} from "@minecraft/server";

export 'main.js';

export function menulistwell(player) {
    let form = new ui.ActionFormData();
	form.title("pergaminho_menu");
    form.body({ rawtext: [ { translate: "coleta_madeira.status" }, { text: `${getScore(player, "coleta_madeira")}` }, { text: "\n"}, { translate: "mineiracao.status" }, { text: `${getScore(player, "mineiracao")}` }, { text: "\n"}, { translate: "arqueologia.status" }, { text: `${getScore(player, "arqueologia")}` }, { text: "\n"}, { translate: "agricultura.status" }, { text: `${getScore(player, "agricultura")}` }  ]});
    form.button({ rawtext: [ { translate: "missoes.menu" }]}, "textures/items/teleporterapido.png");
	form.button({ rawtext: [ { translate: "bestiario.menu" }]}, "textures/items/bestiario.png");
	form.button({ rawtext: [ { translate: "status.menu" }]}, "textures/ui/FriendsDiversity.png");
	form.button({ rawtext: [ { translate: "teleporte.menu" }]}, "textures/items/ender_pearl.png");
	form.button({ rawtext: [ { translate: "opcoes.menu" }]}, "textures/ui/settings_glyph_color_2x.png");
	
	form.button({ rawtext: [ { translate: "criadores.text" }]}, "textures/ui/Espadas.png");
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
            player.runCommandAsync("tag @p add contagem_remove_npc"); {menu_missao(player)}
        }
        if (result.selection == 1) {
            player.runCommandAsync("function scripts_forms/bestiario_menu");
        }
		if (result.selection == 2) {
            
			if (player.hasTag("novice")) {
                statusplayer(player);
            }
			if (player.hasTag("novice1")) {
                statusplayer(player);
            }
			if (player.hasTag("novice2")) {
                statusplayer(player);
            }
			if (player.hasTag("novice3")) {
                statusplayer(player);
            }
			if (player.hasTag("boss1")) {
                statusplayer(player);
            }
			
        }
		if (result.selection == 3) {
            teleporte(player);
        }
		if (result.selection == 4) {
            opcoes_menu(player);
        }
		if (result.selection == 5) {
            creditos(player);
        }
    });
}
export function menulistwell1(player) {
    let form = new ui.ActionFormData();
	form.title("pergaminho_menu2");
    form.body({ rawtext: [ { translate: "coleta_madeira.status" }, { text: `${getScore(player, "coleta_madeira")}` }, { text: "\n"}, { translate: "mineiracao.status" }, { text: `${getScore(player, "mineiracao")}` }, { text: "\n"}, { translate: "arqueologia.status" }, { text: `${getScore(player, "arqueologia")}` }, { text: "\n"}, { translate: "agricultura.status" }, { text: `${getScore(player, "agricultura")}` }  ]});
    form.button({ rawtext: [ { translate: "missoes.menu" }]}, "textures/items/teleporterapido.png");
	form.button({ rawtext: [ { translate: "bestiario.menu" }]}, "textures/items/bestiario.png");
	form.button({ rawtext: [ { translate: "status.menu" }]}, "textures/ui/FriendsDiversity.png");
	form.button({ rawtext: [ { translate: "teleporte.menu" }]}, "textures/items/ender_pearl.png");
	form.button({ rawtext: [ { translate: "opcoes.menu" }]}, "textures/ui/settings_glyph_color_2x.png");
	
	form.button({ rawtext: [ { translate: "criadores.text" }]}, "textures/ui/Espadas.png");
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
            player.runCommandAsync("tag @p add contagem_remove_npc"); {menu_missao(player)}
        }
        if (result.selection == 1) {
            player.runCommandAsync("/function scripts_forms/bestiario_menu");
        }
		if (result.selection == 2) {
            
			
			if (player.hasTag("adventure")) {
                statusplayer1(player);
            }
			if (player.hasTag("adventure1")) {
                statusplayer1(player);
            }
			if (player.hasTag("adventure2")) {
                statusplayer1(player);
            }
			if (player.hasTag("adventure3")) {
                statusplayer1(player);
            }
			if (player.hasTag("adventure4")) {
                statusplayer1(player);
            }
			if (player.hasTag("boss2")) {
                statusplayer1(player);
            }
        }
		if (result.selection == 3) {
            teleporte(player);
        }
		if (result.selection == 4) {
            opcoes_menu(player);
        }
		if (result.selection == 5) {
            creditos(player);
        }
    });
}
export function menulistwell2(player) {
    let form = new ui.ActionFormData();
	form.title("pergaminho_menu3");
    form.body({ rawtext: [ { translate: "coleta_madeira.status" }, { text: `${getScore(player, "coleta_madeira")}` }, { text: "\n"}, { translate: "mineiracao.status" }, { text: `${getScore(player, "mineiracao")}` }, { text: "\n"}, { translate: "arqueologia.status" }, { text: `${getScore(player, "arqueologia")}` }, { text: "\n"}, { translate: "agricultura.status" }, { text: `${getScore(player, "agricultura")}` }  ]});
    form.button({ rawtext: [ { translate: "missoes.menu" }]}, "textures/items/teleporterapido.png");
	form.button({ rawtext: [ { translate: "bestiario.menu" }]}, "textures/items/bestiario.png");
	form.button({ rawtext: [ { translate: "status.menu" }]}, "textures/ui/FriendsDiversity.png");
	form.button({ rawtext: [ { translate: "teleporte.menu" }]}, "textures/items/ender_pearl.png");
	form.button({ rawtext: [ { translate: "opcoes.menu" }]}, "textures/ui/settings_glyph_color_2x.png");
	
	form.button({ rawtext: [ { translate: "criadores.text" }]}, "textures/ui/Espadas.png");
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
            player.runCommandAsync("tag @p add contagem_remove_npc"); {menu_missao(player)}
        }
        if (result.selection == 1) {
            player.runCommandAsync("/function scripts_forms/bestiario_menu");
        }
		if (result.selection == 2) {
            
			if (player.hasTag("master")) {
                statusplayer2(player);
            }
			if (player.hasTag("master1")) {
                statusplayer2(player);
            }
			if (player.hasTag("master2")) {
                statusplayer2(player);
            }
			if (player.hasTag("boss3")) {
                statusplayer2(player);
            }
        }
		if (result.selection == 3) {
            teleporte(player);
        }
		if (result.selection == 4) {
            opcoes_menu(player);
        }
		if (result.selection == 5) {
            creditos(player);
        }
    });
}
export function menulistwell3(player) {
    let form = new ui.ActionFormData();
	form.title("pergaminho_menu4");
    form.body({ rawtext: [ { translate: "coleta_madeira.status" }, { text: `${getScore(player, "coleta_madeira")}` }, { text: "\n"}, { translate: "mineiracao.status" }, { text: `${getScore(player, "mineiracao")}` }, { text: "\n"}, { translate: "arqueologia.status" }, { text: `${getScore(player, "arqueologia")}` }, { text: "\n"}, { translate: "agricultura.status" }, { text: `${getScore(player, "agricultura")}` }  ]});
    form.button({ rawtext: [ { translate: "missoes.menu" }]}, "textures/items/teleporterapido.png");
	form.button({ rawtext: [ { translate: "bestiario.menu" }]}, "textures/items/bestiario.png");
	form.button({ rawtext: [ { translate: "status.menu" }]}, "textures/ui/FriendsDiversity.png");
	form.button({ rawtext: [ { translate: "teleporte.menu" }]}, "textures/items/ender_pearl.png");
	form.button({ rawtext: [ { translate: "opcoes.menu" }]}, "textures/ui/settings_glyph_color_2x.png");
	
	form.button({ rawtext: [ { translate: "criadores.text" }]}, "textures/ui/Espadas.png");
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
            player.runCommandAsync("tag @p add contagem_remove_npc"); {menu_missao(player)}
        }
        if (result.selection == 1) {
            player.runCommandAsync("/function scripts_forms/bestiario_menu");
        }
		if (result.selection == 2) {
            
			if (player.hasTag("hero")) {
                statusplayer3(player);
            }
			if (player.hasTag("hero1")) {
                statusplayer3(player);
            }
			if (player.hasTag("hero2")) {
                statusplayer3(player);
            }
			if (player.hasTag("hero3")) {
                statusplayer3(player);
            }
        }
		if (result.selection == 3) {
            teleporte(player);
        }
		if (result.selection == 4) {
            opcoes_menu(player);
        }
		if (result.selection == 5) {
            creditos(player);
        }
    });
}
export function menulistwell4(player) {
    let form = new ui.ActionFormData();
	form.title("pergaminho_menu5");
    form.body({ rawtext: [ { translate: "coleta_madeira.status" }, { text: `${getScore(player, "coleta_madeira")}` }, { text: "\n"}, { translate: "mineiracao.status" }, { text: `${getScore(player, "mineiracao")}` }, { text: "\n"}, { translate: "arqueologia.status" }, { text: `${getScore(player, "arqueologia")}` }, { text: "\n"}, { translate: "agricultura.status" }, { text: `${getScore(player, "agricultura")}` }  ]});
    form.button({ rawtext: [ { translate: "missoes.menu" }]}, "textures/items/teleporterapido.png");
	form.button({ rawtext: [ { translate: "bestiario.menu" }]}, "textures/items/bestiario.png");
	form.button({ rawtext: [ { translate: "status.menu" }]}, "textures/ui/FriendsDiversity.png");
	form.button({ rawtext: [ { translate: "teleporte.menu" }]}, "textures/items/ender_pearl.png");
	form.button({ rawtext: [ { translate: "opcoes.menu" }]}, "textures/ui/settings_glyph_color_2x.png");
	
	form.button({ rawtext: [ { translate: "criadores.text" }]}, "textures/ui/Espadas.png");
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
            player.runCommandAsync("tag @p add contagem_remove_npc"); {menu_missao(player)}
        }
        if (result.selection == 1) {
            player.runCommandAsync("/function scripts_forms/bestiario_menu");
        }
		if (result.selection == 2) {
            
			if (player.hasTag("boss4")) {
                statusplayer4(player);
            }
			if (player.hasTag("legendary")) {
                statusplayer4(player);
            }
        }
		if (result.selection == 3) {
            teleporte(player);
        }
		if (result.selection == 4) {
            opcoes_menu(player);
        }
		if (result.selection == 5) {
            creditos(player);
        }
    });
}

export function statusplayer(player) {
    let form = new ui.ActionFormData();
    form.title("novice_status");
    form.body({
        rawtext: [
            { translate: "well:menunovoplayer.name" },
            { text: `${player.name}` },
            { text: "\n" },
            { translate: "coleta_madeira.status" },
            { text: `${getScore(player, "coleta_madeira")}` },
            { text: "\n" },
            { translate: "mineiracao.status" },
            { text: `${getScore(player, "mineiracao")}` },
            { text: "\n" },
            { translate: "arqueologia.status" },
            { text: `${getScore(player, "arqueologia")}` },
            { text: "\n" },
            { translate: "agricultura.status" },
            { text: `${getScore(player, "agricultura")}` }
        ]
    });
    form.button({ rawtext: [{ translate: "menu.voltar" }] }, "textures/ui/undoArrow.png");
    form.button({ rawtext: [{ translate: "up.armaduras" }] }, "textures/items/well_armadura_divina.png");
    form.button({ rawtext: [{ translate: "up.ferramentas" }] }, "textures/items/pamobile/well_espada_ruby.png");
	form.button({ rawtext: [{ translate: "up.classes.armas" }] }, "textures/ui/icon_best3.png");

    form.show(player).then((result) => {
        if (result.selection == 0) {
            if (player.hasTag("novice")) {
                menulistwell(player);
            }
			if (player.hasTag("novice1")) {
                menulistwell(player);
            }
			if (player.hasTag("novice2")) {
                menulistwell(player);
            }
			if (player.hasTag("novice3")) {
                menulistwell(player);
            }
			if (player.hasTag("boss1")) {
                menulistwell(player);
            }
        }
        if (result.selection == 1) {
            status_armadura(player)
        }
        if (result.selection == 2) {
            status_ferramentas(player)
        }
		
		if (result.selection == 3) {
            {status_classe(player)}
			
        }
    });
}
export function statusplayer1(player) {
    let form = new ui.ActionFormData();
    form.title("adventure_status");
    form.body({
        rawtext: [
            { translate: "well:menunovoplayer.name" },
            { text: `${player.name}` },
            { text: "\n" },
            { translate: "coleta_madeira.status" },
            { text: `${getScore(player, "coleta_madeira")}` },
            { text: "\n" },
            { translate: "mineiracao.status" },
            { text: `${getScore(player, "mineiracao")}` },
            { text: "\n" },
            { translate: "arqueologia.status" },
            { text: `${getScore(player, "arqueologia")}` },
            { text: "\n" },
            { translate: "agricultura.status" },
            { text: `${getScore(player, "agricultura")}` }
        ]
    });
    form.button({ rawtext: [{ translate: "menu.voltar" }] }, "textures/ui/undoArrow.png");
    form.button({ rawtext: [{ translate: "up.armaduras" }] }, "textures/items/well_armadura_divina.png");
    form.button({ rawtext: [{ translate: "up.ferramentas" }] }, "textures/items/pamobile/well_espada_ruby.png");
	form.button({ rawtext: [{ translate: "up.classes.armas" }] }, "textures/ui/icon_best3.png");

    form.show(player).then((result) => {
        if (result.selection == 0) {
            
			if (player.hasTag("adventure")) {
                menulistwell1(player);
            }
			if (player.hasTag("adventure1")) {
                menulistwell1(player);
            }
			if (player.hasTag("adventure2")) {
                menulistwell1(player);
            }
			if (player.hasTag("adventure3")) {
                menulistwell1(player);
            }
			if (player.hasTag("adventure4")) {
                menulistwell1(player);
            }
			if (player.hasTag("boss2")) {
                menulistwell1(player);
            }
			
        }
        if (result.selection == 1) {
            status_armadura(player)
        }
        if (result.selection == 2) {
            status_ferramentas(player)
        }
		if (result.selection == 3) {
            {status_classe(player)}
			
        }
    });
}
export function statusplayer2(player) {
    let form = new ui.ActionFormData();
    form.title("master_status");
    form.body({
        rawtext: [
            { translate: "well:menunovoplayer.name" },
            { text: `${player.name}` },
            { text: "\n" },
            { translate: "coleta_madeira.status" },
            { text: `${getScore(player, "coleta_madeira")}` },
            { text: "\n" },
            { translate: "mineiracao.status" },
            { text: `${getScore(player, "mineiracao")}` },
            { text: "\n" },
            { translate: "arqueologia.status" },
            { text: `${getScore(player, "arqueologia")}` },
            { text: "\n" },
            { translate: "agricultura.status" },
            { text: `${getScore(player, "agricultura")}` }
        ]
    });
    form.button({ rawtext: [{ translate: "menu.voltar" }] }, "textures/ui/undoArrow.png");
    form.button({ rawtext: [{ translate: "up.armaduras" }] }, "textures/items/well_armadura_divina.png");
    form.button({ rawtext: [{ translate: "up.ferramentas" }] }, "textures/items/pamobile/well_espada_ruby.png");
	form.button({ rawtext: [{ translate: "up.classes.armas" }] }, "textures/ui/icon_best3.png");

    form.show(player).then((result) => {
        if (result.selection == 0) {
            
			if (player.hasTag("master")) {
                menulistwell2(player);
            }
			if (player.hasTag("master1")) {
                menulistwell2(player);
            }
			if (player.hasTag("master2")) {
                menulistwell2(player);
            }
			if (player.hasTag("boss3")) {
                menulistwell2(player);
            }
			
        }
        if (result.selection == 1) {
            status_armadura(player)
        }
        if (result.selection == 2) {
            status_ferramentas(player)
        }
		if (result.selection == 3) {
            {status_classe(player)}
			
        }
    });
}
export function statusplayer3(player) {
    let form = new ui.ActionFormData();
    form.title("hero_status");
    form.body({
        rawtext: [
            { translate: "well:menunovoplayer.name" },
            { text: `${player.name}` },
            { text: "\n" },
            { translate: "coleta_madeira.status" },
            { text: `${getScore(player, "coleta_madeira")}` },
            { text: "\n" },
            { translate: "mineiracao.status" },
            { text: `${getScore(player, "mineiracao")}` },
            { text: "\n" },
            { translate: "arqueologia.status" },
            { text: `${getScore(player, "arqueologia")}` },
            { text: "\n" },
            { translate: "agricultura.status" },
            { text: `${getScore(player, "agricultura")}` }
        ]
    });
    form.button({ rawtext: [{ translate: "menu.voltar" }] }, "textures/ui/undoArrow.png");
    form.button({ rawtext: [{ translate: "up.armaduras" }] }, "textures/items/well_armadura_divina.png");
    form.button({ rawtext: [{ translate: "up.ferramentas" }] }, "textures/items/pamobile/well_espada_ruby.png");
	form.button({ rawtext: [{ translate: "up.classes.armas" }] }, "textures/ui/icon_best3.png");

    form.show(player).then((result) => {
        if (result.selection == 0) {
            
			if (player.hasTag("hero")) {
                menulistwell3(player);
            }
			if (player.hasTag("hero1")) {
                menulistwell3(player);
            }
			if (player.hasTag("hero2")) {
                menulistwell3(player);
            }
			if (player.hasTag("hero3")) {
                menulistwell3(player);
            }
        }
        if (result.selection == 1) {
            status_armadura(player)
        }
        if (result.selection == 2) {
            status_ferramentas(player)
        }
		if (result.selection == 3) {
            {status_classe(player)}
			
        }
    });
}
export function statusplayer4(player) {
    let form = new ui.ActionFormData();
    form.title("final_status");
    form.body({
        rawtext: [
            { translate: "well:menunovoplayer.name" },
            { text: `${player.name}` },
            { text: "\n" },
            { translate: "coleta_madeira.status" },
            { text: `${getScore(player, "coleta_madeira")}` },
            { text: "\n" },
            { translate: "mineiracao.status" },
            { text: `${getScore(player, "mineiracao")}` },
            { text: "\n" },
            { translate: "arqueologia.status" },
            { text: `${getScore(player, "arqueologia")}` },
            { text: "\n" },
            { translate: "agricultura.status" },
            { text: `${getScore(player, "agricultura")}` }
        ]
    });
    form.button({ rawtext: [{ translate: "menu.voltar" }] }, "textures/ui/undoArrow.png");
    form.button({ rawtext: [{ translate: "up.armaduras" }] }, "textures/items/well_armadura_divina.png");
    form.button({ rawtext: [{ translate: "up.ferramentas" }] }, "textures/items/pamobile/well_espada_ruby.png");
	form.button({ rawtext: [{ translate: "up.classes.armas" }] }, "textures/ui/icon_best3.png");

    form.show(player).then((result) => {
        if (result.selection == 0) {
            
			if (player.hasTag("boss4")) {
                menulistwell4(player);
            }
			if (player.hasTag("legendary")) {
                menulistwell4(player);
            }
        }
        if (result.selection == 1) {
            status_armadura(player)
        }
        if (result.selection == 2) {
            status_ferramentas(player)
        }
		if (result.selection == 3) {
           {status_classe(player)}
			
        }
    });
}

export function status_ferramentas(player) {
    let form = new ui.ActionFormData();
	form.title("status_ferramentas");
    form.body({
        rawtext: [
            { text: "\n" }, { text: "\n" },
            { translate: "menu.acao.jogador.painel.itens" },
            { text: "\n" }, { text: "\n" },
			{ translate: " " },
            { translate: "status.do.jogador.2" },
            { text: "\n" }, { text: "\n" },
			{ translate: " " },
            { translate: "status.do.jogador.3" },
            { text: "\n" }, { text: "\n" },
			{ translate: " " },
            { translate: "status.do.jogador.4" },
            { text: "\n" }, { text: "\n" },
			{ translate: " " },
            { translate: "status.do.jogador.5" },
			{ text: "\n" }, { text: "\n" },
			{ translate: " " },
            { translate: "status.do.jogador.6" },
			{ text: "\n" }, { text: "\n" },
			{ translate: " " },
            { translate: "status.do.jogador.espada_divina" }
			
        ]
    });
    form.button({ rawtext: [{ translate: "menu.voltar" }] }, "textures/ui/undoArrow.png");
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("")}
		
    });
}
export function status_armadura(player) {
    let form = new ui.ActionFormData();
	form.title("status_armaduras");
    form.body({
        rawtext: [
		    { text: "\n" }, { text: "\n" }, { text: "\n" },
            { text: "\n" }, { text: "\n" }, { text: "\n" }, { text: "\n" }, { text: "§l§5" },
			
            { text: `${getScore(player, "aranha")}` },{ translate: "status.do.jogador.chainmail" },
            { text: "\n" }, { text: "\n" }, { text: "§l§5" },
			
            { text: `${getScore(player, "bruxa")}` },{ translate: "status.do.jogador.gold" },
            { text: "\n" }, { text: "\n" }, { text: "§l§5" },
			
           { text: `${getScore(player, "zumbi")}` }, { translate: "status.do.jogador.iron" },
            { text: "\n" }, { text: "\n" }, { text: "§l§5" },
			
            { text: `${getScore(player, "esqueleto")}` },{ translate: "status.do.jogador.diamond" },
			{ text: "\n" }, { text: "\n" }, { text: "§l§5" },
			
           { text: `${getScore(player, "enderman")}` }, { translate: "status.do.jogador.netherite" },
			{ text: "\n" }, { text: "\n" }, { text: "§l§5" },
			
            { text: `${getScore(player, "esqueleto")}` }, { translate: "status.do.jogador.divino.armadura" }
			
        ]
    });
    form.button({ rawtext: [{ translate: "menu.voltar" }] }, "textures/ui/undoArrow.png");
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("")}
		
    });
}

export function status_classe(player) {
    let form = new ui.ActionFormData();
	form.title("status_mago_lv1");
    form.body({
        rawtext: [
		    { text: "§4" },
            { text: `${player.name}` }, { text: "§0" },
            { text: "\n" },
            { translate: "levels.orb.proximo.level.lv2" }, 
            { text: `${getScore(player, "skill_mago_orbe")}` },
			{ translate: "levels.orb.5" }, { text: " " }, { text: "" }
			
        ]
    });
    form.button({ rawtext: [{ translate: ">> " }] }, "textures/ui/pergaminhos/classes/mago/1");
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        status_classe2(player)}
		
    });
}
export function status_classe2(player) {
    let form = new ui.ActionFormData();
	form.title("status_mago_lv2");
    form.body({
        rawtext: [
		    { text: "§4" },
            { text: `${player.name}` }, { text: "§0" },
            { text: "\n" },
            { translate: "levels.orb.proximo.level.lv3" }, 
            { text: `${getScore(player, "skill_mago_orbe")}` },
			{ translate: "levels.orb.10" }, { text: " " }, { text: "" }
			
        ]
    });
    form.button({ rawtext: [{ translate: ">> " }] }, "textures/ui/pergaminhos/classes/mago/2");
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        status_classe3(player)}
		
    });
}
export function status_classe3(player) {
    let form = new ui.ActionFormData();
	form.title("status_mago_lv3");
    form.body({
        rawtext: [
		    { text: "§4" },
            { text: `${player.name}` }, { text: "§0" },
            { text: "\n" },
            { translate: "levels.orb.proximo.level.lv4" }, 
            { text: `${getScore(player, "skill_mago_orbe")}` },
			{ translate: "levels.orb.20" }, { text: " " }, { text: "" }
			
        ]
    });
    form.button({ rawtext: [{ translate: ">> " }] }, "textures/ui/pergaminhos/classes/mago/3");
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        status_classe4(player)}
		
    });
}
export function status_classe4(player) {
    let form = new ui.ActionFormData();
	form.title("status_mago_lv4");
    form.body({
        rawtext: [
		    { text: "§4" },
            { text: `${player.name}` }, { text: "§0" },
            { text: "\n" },
            { translate: "levels.orb.proximo.level.lv5" }, 
            { text: `${getScore(player, "skill_mago_orbe")}` },
			{ translate: "levels.orb.30" }, { text: " " }, { text: "" }
			
        ]
    });
    form.button({ rawtext: [{ translate: ">> " }] }, "textures/ui/pergaminhos/classes/mago/4");
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        status_classe5(player)}
		
    });
}
export function status_classe5(player) {
    let form = new ui.ActionFormData();
	form.title("status_mago_lv5");
    form.body({
        rawtext: [
		    { text: "§4" },
            { text: `${player.name}` }, { text: "§0" },
            { text: "\n" },
            { translate: "levels.orb.proximo.level.padrao" }, 
            { text: `${getScore(player, "skill_mago_orbe")}` },
			{ translate: "levels.orb.30" }, { text: " " }, { text: "" }
			
        ]
    });
    form.button({ rawtext: [{ translate: ">> " }] }, "textures/ui/pergaminhos/classes/mago/5");
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        status_classe(player)}
		
    });
}
