import * as ui from "@minecraft/server-ui";
import { ActionFormData,  MessageFormData,  ModalFormData} from "@minecraft/server-ui";
import { world, system, Player, MolangVariableMap, Entity} from "@minecraft/server";
const overworld = world.getDimension('minecraft:overworld');
import {world as World} from "@minecraft/server";

import 'main.js';

//Sistema dos Pets

world.afterEvents.itemUse.subscribe((eventData) => {
    if (eventData.itemStack.typeId === "well:bussola_alma") {
        let player = eventData.source;
        pet1(player);
    }
});

export function pet1(player) {
    let form = new ui.ActionFormData();
	form.title("pet1");
    form.body("");
	form.button({ rawtext: [{ translate: "<<" }] });
    form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
			pet11(player)
        }
        if (result.selection == 1) {
            player.runCommandAsync("/event entity @s well:allay_domado");
			player.runCommandAsync("/clear @s well:bussola_alma 0 1");
			player.runCommandAsync(`/tag @e[type=well:allay_domado, r=5] add ${petOwners[target.petId].ownerName}`);
        }
		if (result.selection == 2) {
			pet2(player)
        }
    });
}
export function pet2(player) {
    let form = new ui.ActionFormData();
	form.title("pet2");
    form.body("");
	form.button({ rawtext: [{ translate: "<<" }] });
    form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
			pet1(player)
        }
        if (result.selection == 1) {
            player.runCommandAsync("/event entity @s well:bat_domado");
			player.runCommandAsync("/clear @s well:bussola_alma 0 1");
			player.runCommandAsync(`/tag @e[type=well:bat_domado, r=5] add ${player.getName()}`);
        }
		if (result.selection == 2) {
			pet3(player)
        }
    });
}
export function pet3(player) {
    let form = new ui.ActionFormData();
	form.title("pet3");
    form.body("");
	form.button({ rawtext: [{ translate: "<<" }] });
    form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
			pet2(player)
        }
        if (result.selection == 1) {
            player.runCommandAsync("/event entity @s well:galinha_domada");
			player.runCommandAsync("/clear @s well:bussola_alma 0 1");
			player.runCommandAsync(`/tag @e[type=well:galinha_domada, r=5] add ${player.getName()}`);
        }
		if (result.selection == 2) {
			pet4(player)
        }
    });
}
export function pet4(player) {
    let form = new ui.ActionFormData();
	form.title("pet4");
    form.body("");
	form.button({ rawtext: [{ translate: "<<" }] });
    form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
			pet3(player)
        }
        if (result.selection == 1) {
            player.runCommandAsync("/event entity @s well:fada_domada");
			player.runCommandAsync("/clear @s well:bussola_alma 0 1");
			player.runCommandAsync(`/tag @e[type=well:fada_domada, r=5] add ${player.getName()}`);
        }
		if (result.selection == 2) {
			pet5(player)
        }
    });
}
export function pet5(player) {
    let form = new ui.ActionFormData();
	form.title("pet5");
    form.body("");
	form.button({ rawtext: [{ translate: "<<" }] });
    form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
			pet4(player)
        }
        if (result.selection == 1) {
            player.runCommandAsync("/event entity @s well:raposa_domada");
			player.runCommandAsync("/clear @s well:bussola_alma 0 1");
			player.runCommandAsync(`/tag @e[type=well:raposa_domada, r=5] add ${player.getName()}`);
        }
		if (result.selection == 2) {
			pet6(player)
        }
    });
}
export function pet6(player) {
    let form = new ui.ActionFormData();
	form.title("pet6");
    form.body("");
	form.button({ rawtext: [{ translate: "<<" }] });
    form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
			pet5(player)
        }
        if (result.selection == 1) {
            player.runCommandAsync("/event entity @s well:sapo_domado");
			player.runCommandAsync("/clear @s well:bussola_alma 0 1");
			player.runCommandAsync(`/tag @e[type=well:sapo_domado, r=5] add ${player.getName()}`);
        }
		if (result.selection == 2) {
			pet7(player)
        }
    });
}
export function pet7(player) {
    let form = new ui.ActionFormData();
	form.title("pet7");
    form.body("");
	form.button({ rawtext: [{ translate: "<<" }] });
    form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
			pet6(player)
        }
        if (result.selection == 1) {
            player.runCommandAsync("/event entity @s well:ocelot_domado");
			player.runCommandAsync("/clear @s well:bussola_alma 0 1");
			player.runCommandAsync(`/tag @e[type=well:ocelot_domado, r=5] add ${player.getName()}`);
        }
		if (result.selection == 2) {
			pet8(player)
        }
    });
}
export function pet8(player) {
    let form = new ui.ActionFormData();
	form.title("pet8");
    form.body("");
	form.button({ rawtext: [{ translate: "<<" }] });
    form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
			pet7(player)
        }
        if (result.selection == 1) {
            player.runCommandAsync("/event entity @s well:coelho_domado");
			player.runCommandAsync("/clear @s well:bussola_alma 0 1");
			player.runCommandAsync(`/tag @e[type=well:coelho_domado, r=5] add ${player.getName()}`);
        }
		if (result.selection == 2) {
			pet9(player)
        }
    });
}
export function pet9(player) {
    let form = new ui.ActionFormData();
	form.title("pet9");
    form.body("");
	form.button({ rawtext: [{ translate: "<<" }] });
    form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
			pet8(player)
        }
        if (result.selection == 1) {
            player.runCommandAsync("/event entity @s well:porco_domado");
			player.runCommandAsync("/clear @s well:bussola_alma 0 1");
			player.runCommandAsync(`/tag @e[type=well:porco_domado, r=5] add ${player.getName()}`);
        }
		if (result.selection == 2) {
			pet10(player)
        }
    });
}
export function pet10(player) {
    let form = new ui.ActionFormData();
	form.title("pet10");
    form.body("");
	form.button({ rawtext: [{ translate: "<<" }] });
    form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
			pet9(player)
        }
        if (result.selection == 1) {
            player.runCommandAsync("/event entity @s well:cavalo_domado");
			player.runCommandAsync("/clear @s well:bussola_alma 0 1");
			player.runCommandAsync(`/tag @e[type=well:cavalo_domado, r=5] add ${player.getName()}`);
        }
		if (result.selection == 2) {
			pet11(player)
        }
    });
}
export function pet11(player) {
    let form = new ui.ActionFormData();
	form.title("pet11");
    form.body("");
	form.button({ rawtext: [{ translate: "<<" }] });
    form.button({ rawtext: [{ translate: "select_class.ok" }] });
	form.button({ rawtext: [{ translate: ">>" }] });
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
			pet10(player)
        }
        if (result.selection == 1) {
            player.runCommandAsync("/event entity @s well:tatu_domado");
			player.runCommandAsync("/clear @s well:bussola_alma 0 1");
			player.runCommandAsync(`/tag @e[type=well:tatu_domado, r=5] add ${player.getName()}`);
        }
		if (result.selection == 2) {
			pet1(player)
        }
    });
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////

let petOwners = {};

function setOwner(player, petId) {
    petOwners[petId] = { ownerName: player.name };
}

function isPetOwner(player, petId) {
    return petOwners[petId] && petOwners[petId].ownerName === player.name;
}

function updatePetNameTag(target) {
    if (petOwners[target.petId]) {
        target.nameTag = `${target.nameTag}\n§´§eDono: ${petOwners[target.petId].ownerName}`;
    }
}

function petrename(player, target) {
    if (!isPetOwner(player, target.petId)) {
        player.sendMessage("Você não é o dono deste pet!");
        return;
    }

    const form = new ui.ModalFormData();
    form.textField("name", "Renomear o pet");
    form.show(player).then((result) => {
        if (!result.canceled) {
            target.nameTag = result.formValues[0];
            player.sendMessage(`§ePet renomeado para: ${result.formValues[0]}`);
            updatePetNameTag(target);
        }
    });
}

function petmenugeral(player, petId, target) {
    if (!isPetOwner(player, petId)) {
        player.sendMessage("Você não é o dono deste pet!");
        return;
    }

    let form = new ui.ActionFormData();
    form.title("petmenugeral");
    form.body("");
    form.button({ rawtext: [{ translate: "menu.pet.renomear" }] }, "textures/items/bone.png");
    form.button({ rawtext: [{ translate: "menu.pet.sentar" }] }, "textures/items/apple.png");
	form.button({ rawtext: [{ translate: "menu.pet.levantar" }] }, "textures/items/apple.png");
    //form.button({ rawtext: [{ translate: "menu.pet.upar" }] }, "textures/items/apple.png");
    //form.button({ rawtext: [{ translate: "menu.pet.guardar" }] }, "textures/items/apple.png");
    form.button({ rawtext: [{ translate: "menu.pet.skin" }] }, "textures/items/apple.png");
    //form.button({ rawtext: [{ translate: "menu.pet.modos" }] }, "textures/items/apple.png");

    form.show(player).then((result) => {
        switch (result.selection) {
            case 0:
                petrename(player, target);
                break;
            case 1:
                
                player.runCommandAsync("/function pet_menus/sentar");
                break;
				
			case 2:
			   
                player.runCommandAsync("/function pet_menus/levantar");
                break;	
            //case 2:
            //    up_pet(player, target);
            //    break;
            //case 3:
            //    player.runCommandAsync("function scripts_forms/dicas_missoes");
            //    break;
            case 3:
                // Chama a função de skin correspondente ao tipo de pet
                switch (target.typeId) {
                    case "well:allay":
                        skin_pet_allay(player);
                        break;
                    case "well:bat":
                        skin_pet_bat(player);
                        break;
					case "well:chicken":
                        skin_pet_chicken(player);
                        break;
					case "well:navi":
                        skin_pet_fada(player);
                        break;
						
						case "well:navi_amarela":
                        skin_pet_fada(player);
                        break;
						
						case "well:navi_dark":
                        skin_pet_fada(player);
                        break;
						
						case "well:navi_vermelha":
                        skin_pet_fada(player);
                        break;
						
						case "well:navi_verde":
                        skin_pet_fada(player);
                        break;
						
						case "well:navi_rosa":
                        skin_pet_fada(player);
                        break;
						
					case "well:fox":
                        skin_pet_fox(player);
                        break;
					case "well:frog":
                        skin_pet_frog(player);
                        break;
					case "well:horse":
                        skin_pet_horse(player);
                        break;
					case "well:ocelot":
                        skin_pet_ocelote(player);
                        break;
					case "well:pig":
                        skin_pet_pig(player);
                        break;
					case "well:rabbit":
                        skin_pet_rabbit(player);
                        break;
					case "well:tatu":
                        skin_pet_tatu(player);
                        break;

                    // Adicione os casos para outros tipos de pet conforme necessário
                    default:
                        // Mensagem de erro para tipos de pet não tratados
                        player.sendMessage("Skin não disponível para este tipo de pet.");
                        break;
                }
                break;
            //case 5:
            //    player.runCommandAsync("function scripts_forms/dicas_missoes");
            //    break;
        }
    }).catch((error) => {
        console.error("Erro na exibição do formulário:", error);
    });
}

world.afterEvents.playerInteractWithEntity.subscribe(({ player, target }) => {
    const validTypeIds = [
        "well:chicken",
        "well:allay",
        "well:bat",
        "well:fox",
		"well:tatu",
        "well:frog",
        "well:horse",
        "well:ocelot",
        "well:pig",
        "well:rabbit",
        "well:navi", "well:navi_amarela", "well:navi_dark", "well:navi_vermelha", "well:navi_verde", "well:navi_rosa"
    ];

    if (validTypeIds.includes(target.typeId)) {
        const petId = getPetId(target.typeId, player.name);

        if (!petOwners[petId]) {
            // Define o dono do pet apenas se não tiver um dono
            setOwner(player, petId);
        }

        if (isPetOwner(player, petId)) {
            target.petId = petId;
            petmenugeral(player, petId, target);
        } else {
            player.sendMessage("Você não é o dono deste pet!");
        }
    }
});

function getPetId(typeId, playerName) {
    return `${typeId}-${playerName}`;
}

export function skin_pet_allay(player) {
    let form = new ui.ActionFormData();
	form.title("pet_skins");
    form.body("");
    form.button({ rawtext: [{ translate: "§´Mascarado  15" }] }, "textures/ui/Pets_skins/allay/botoes/1.png" );
	form.button({ rawtext: [{ translate: "§´Ghost  5" }] }, "textures/ui/Pets_skins/allay/botoes/2.png" );
	form.button({ rawtext: [{ translate: "§´Ilusionista  10" }] }, "textures/ui/Pets_skins/allay/botoes/3.png" );
	form.button({ rawtext: [{ translate: "§´Ceifador  25" }] }, "textures/ui/Pets_skins/allay/botoes/4.png" );
	form.button({ rawtext: [{ translate: "§´Scorpion  30" }] }, "textures/ui/Pets_skins/allay/botoes/5.png" );
	form.button({ rawtext: [{ translate: "§´Happy  5" }] }, "textures/ui/Pets_skins/allay/botoes/6.png" );
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run event entity @e [type=well:allay, r=10, c=1] skin1")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=15..}] well:ruby 0 15")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..15}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..14}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 1) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=5..}] run event entity @e [type=well:allay, r=10, c=1] skin2")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=5..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=5..}] well:ruby 0 5")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..5}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..4}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 2) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [type=well:allay, r=10, c=1] skin3")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 3) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=25..}] run event entity @e [type=well:allay, r=10, c=1] skin4")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=25..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=25..}] well:ruby 0 25")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..25}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..24}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 4) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run event entity @e [type=well:allay, r=10, c=1] skin5")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=30..}] well:ruby 0 30")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..30}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..29}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 5) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=5..}] run event entity @e [type=well:allay, r=10, c=1] skin6")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=5..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=5..}] well:ruby 0 5")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..5}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..4}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		
    });
}
export function skin_pet_bat(player) {
    let form = new ui.ActionFormData();
	form.title("pet_skins");
    form.body("");
    form.button({ rawtext: [{ translate: "§´ Enderbat  5" }] }, "textures/ui/Pets_skins/bat/botoes/1.png" );
	form.button({ rawtext: [{ translate: "§´ Observador  10" }] }, "textures/ui/Pets_skins/bat/botoes/2.png" );
	form.button({ rawtext: [{ translate: "§´ Gligar  15" }] }, "textures/ui/Pets_skins/bat/botoes/3.png" );
	form.button({ rawtext: [{ translate: "§´ Zubat  30" }] }, "textures/ui/Pets_skins/bat/botoes/4.png" );
	form.button({ rawtext: [{ translate: "§´ Owl  10" }] }, "textures/ui/Pets_skins/bat/botoes/5.png" );
	form.button({ rawtext: [{ translate: "§´ Twitter  20" }] }, "textures/ui/Pets_skins/bat/botoes/6.png" );
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=5..}] run event entity @e [type=well:bat, r=10, c=1] skin1")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=5..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=5..}] well:ruby 0 5")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..5}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..4}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 1) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [type=well:bat, r=10, c=1] skin2")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 2) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run event entity @e [type=well:bat, r=10, c=1] skin3")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=15..}] well:ruby 0 15")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..15}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..14}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 3) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run event entity @e [type=well:bat, r=10, c=1] skin4")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=30..}] well:ruby 0 30")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..30}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..29}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 4) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [type=well:bat, r=10, c=1] skin5")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 5) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run event entity @e [type=well:bat, r=10, c=1] skin6")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=20..}] well:ruby 0 20")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..20}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..19}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		 
    });
}
export function skin_pet_chicken(player) {
    let form = new ui.ActionFormData();
	form.title("pet_skins");
    form.body("");
    form.button({ rawtext: [{ translate: "§´Red  45" }] }, "textures/ui/Pets_skins/chicken/botoes/1.png" );
	form.button({ rawtext: [{ translate: "§´Pesadelo  64" }] }, "textures/ui/Pets_skins/chicken/botoes/2.png" );
	form.button({ rawtext: [{ translate: "§´Goomba  30" }] }, "textures/ui/Pets_skins/chicken/botoes/3.png" );
	form.button({ rawtext: [{ translate: "§´FBI  20" }] }, "textures/ui/Pets_skins/chicken/botoes/4.png" );
	form.button({ rawtext: [{ translate: "§´Deadpool  10" }] }, "textures/ui/Pets_skins/chicken/botoes/5.png" );
	form.button({ rawtext: [{ translate: "§´Duck  15" }] }, "textures/ui/Pets_skins/chicken/botoes/6.png" );
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=45..}] run event entity @e [type=well:chicken, r=10, c=1] skin1")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=45..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=45..}] well:ruby 0 45")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..45}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..44}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 1) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=64..}] run event entity @e [type=well:chicken, r=10, c=1] skin2")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=64..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=64..}] well:ruby 0 64")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..64}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..63}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 2) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run event entity @e [type=well:chicken, r=10, c=1] skin3")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=30..}] well:ruby 0 30")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..30}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..29}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 3) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run event entity @e [type=well:chicken, r=10, c=1] skin4")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=20..}] well:ruby 0 20")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..20}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..19}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 4) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [type=well:chicken, r=10, c=1] skin5")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 5) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run event entity @e [type=well:chicken, r=10, c=1] skin6")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=15..}] well:ruby 0 15")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..15}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..14}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		
    });
}
export function skin_pet_fada(player) {
    let form = new ui.ActionFormData();
	form.title("pet_skins");
    form.body("");
    form.button({ rawtext: [{ translate: "§´2D  10" }] }, "textures/items/navi_icon.png" );
	form.button({ rawtext: [{ translate: "§´Rose  10" }] }, "textures/ui/Pets_skins/fada/botoes/2.png" );
	form.button({ rawtext: [{ translate: "§´Green  10" }] }, "textures/ui/Pets_skins/fada/botoes/3.png" );
	form.button({ rawtext: [{ translate: "§´Red  10" }] }, "textures/ui/Pets_skins/fada/botoes/4.png" );
	form.button({ rawtext: [{ translate: "§´Black  10" }] }, "textures/ui/Pets_skins/fada/botoes/5.png" );
	form.button({ rawtext: [{ translate: "§´Yellow  10" }] }, "textures/ui/Pets_skins/fada/botoes/6.png" );
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [family=fadapet, r=10, c=1] skin1")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 1) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [family=fadapet, r=10, c=1] skin2")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 2) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [family=fadapet, r=10, c=1] skin3")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 3) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [family=fadapet, r=10, c=1] skin4")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 4) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [family=fadapet, r=10, c=1] skin5")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 5) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [family=fadapet, r=10, c=1] skin6")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		
    });
}
export function skin_pet_fox(player) {
    let form = new ui.ActionFormData();
	form.title("pet_skins");
    form.body("");
    form.button({ rawtext: [{ translate: "§´§1Ártico  10" }] }, "textures/ui/Pets_skins/fox/botoes/1.png" );
	form.button({ rawtext: [{ translate: "§´§1Perry  15" }] }, "textures/ui/Pets_skins/fox/botoes/2.png" );
	form.button({ rawtext: [{ translate: "§´§1Style  45" }] }, "textures/ui/Pets_skins/fox/botoes/3.png" );
	form.button({ rawtext: [{ translate: "§´§1Guaxinim  20" }] }, "textures/ui/Pets_skins/fox/botoes/4.png" );
	form.button({ rawtext: [{ translate: "§´§1Zumbi  35" }] }, "textures/ui/Pets_skins/fox/botoes/5.png" );
	
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/raposa" );
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=45..}] run event entity @e [type=well:fox, r=10, c=1] skin1")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=45..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=45..}] well:ruby 0 45")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..45}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..44}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 1) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=64..}] run event entity @e [type=well:fox, r=10, c=1] skin2")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=64..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=64..}] well:ruby 0 64")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..64}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..63}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 2) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run event entity @e [type=well:fox, r=10, c=1] skin3")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=30..}] well:ruby 0 30")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..30}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..29}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 3) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run event entity @e [type=well:fox, r=10, c=1] skin4")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=20..}] well:ruby 0 20")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..20}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..19}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 4) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [type=well:fox, r=10, c=1] skin5")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		
		if (result.selection == 5) {
		player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		
    });
}
export function skin_pet_frog(player) {
    let form = new ui.ActionFormData();
	form.title("pet_skins");
    form.body("");
    form.button({ rawtext: [{ translate: "§´§1Croagunk  20" }] }, "textures/ui/Pets_skins/frog/botoes/1.png" );
	form.button({ rawtext: [{ translate: "§´§1EnderFrog  10" }] }, "textures/ui/Pets_skins/frog/botoes/2.png" );
	form.button({ rawtext: [{ translate: "§´§1Suit  15" }] }, "textures/ui/Pets_skins/frog/botoes/3.png" );
	form.button({ rawtext: [{ translate: "§´§1Psicodélico  10" }] }, "textures/ui/Pets_skins/frog/botoes/4.png" );
	form.button({ rawtext: [{ translate: "§´§1Monstro  20" }] }, "textures/ui/Pets_skins/frog/botoes/5.png" );
	form.button({ rawtext: [{ translate: "§´§1  15" }] }, "textures/ui/Pets_skins/frog/botoes/6.png" );
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run event entity @e [type=well:frog, r=10, c=1] skin1")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=20..}] well:ruby 0 20")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..20}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..19}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 1) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [type=well:frog, r=10, c=1] skin2")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 2) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run event entity @e [type=well:frog, r=10, c=1] skin3")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=15..}] well:ruby 0 15")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..15}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..14}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 3) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [type=well:frog, r=10, c=1] skin4")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 4) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run event entity @e [type=well:frog, r=10, c=1] skin5")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=20..}] well:ruby 0 20")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..20}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..19}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 5) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run event entity @e [type=well:frog, r=10, c=1] skin6")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=15..}] well:ruby 0 15")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..15}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..14}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		
    });
}
export function skin_pet_horse(player) {
    let form = new ui.ActionFormData();
	form.title("pet_skins");
    form.body("");
    form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/equinos" );
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/equinos" );
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/equinos" );
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/equinos" );
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/equinos" );
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/equinos" );
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		if (result.selection == 1) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		if (result.selection == 2) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		if (result.selection == 3) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		if (result.selection == 4) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		if (result.selection == 5) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
    });
}
export function skin_pet_ocelote(player) {
    let form = new ui.ActionFormData();
	form.title("pet_skins");
    form.body("");
    form.button({ rawtext: [{ translate: "" }] }, "textures/ui/Pets_skins/ocelote/botoes/1.png" );
	form.button({ rawtext: [{ translate: "" }] }, "textures/ui/Pets_skins/ocelote/botoes/2.png" );
	form.button({ rawtext: [{ translate: "" }] }, "textures/ui/Pets_skins/ocelote/botoes/3.png" );
	form.button({ rawtext: [{ translate: "" }] }, "textures/ui/Pets_skins/ocelote/botoes/4.png" );
	form.button({ rawtext: [{ translate: "" }] }, "textures/ui/Pets_skins/ocelote/botoes/5.png" );
	form.button({ rawtext: [{ translate: "" }] }, "textures/ui/Pets_skins/ocelote/botoes/6.png" );
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=45..}] run event entity @e [type=well:ocelot, r=10, c=1] skin1")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=45..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=45..}] well:ruby 0 45")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..45}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..44}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 1) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=64..}] run event entity @e [type=well:ocelot, r=10, c=1] skin2")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=64..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=64..}] well:ruby 0 64")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..64}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..63}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 2) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run event entity @e [type=well:ocelot, r=10, c=1] skin3")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=30..}] well:ruby 0 30")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..30}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..29}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 3) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run event entity @e [type=well:ocelot, r=10, c=1] skin4")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=20..}] well:ruby 0 20")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..20}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..19}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 4) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [type=well:ocelot, r=10, c=1] skin5")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 5) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run event entity @e [type=well:ocelot, r=10, c=1] skin6")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=15..}] well:ruby 0 15")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..15}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..14}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		 
    });
}
export function skin_pet_pig(player) {
    let form = new ui.ActionFormData();
	form.title("pet_skins");
    form.body("");
    form.button({ rawtext: [{ translate: "§´§4Bulbasaur  45" }] }, "textures/ui/Pets_skins/pig/botoes/1.png" );
	form.button({ rawtext: [{ translate: "§´§4FBI  64" }] }, "textures/ui/Pets_skins/pig/botoes/2.png" );
	form.button({ rawtext: [{ translate: "§´§4Natal  30" }] }, "textures/ui/Pets_skins/pig/botoes/3.png" );
	form.button({ rawtext: [{ translate: "§´§4EnderPig  20" }] }, "textures/ui/Pets_skins/pig/botoes/4.png" );
	form.button({ rawtext: [{ translate: "§´§4Javali  10" }] }, "textures/ui/Pets_skins/pig/botoes/5.png" );
	form.button({ rawtext: [{ translate: "§´§4Jake  15" }] }, "textures/ui/Pets_skins/pig/botoes/6.png" );
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=45..}] run event entity @e [type=well:pig, r=10, c=1] skin1")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=45..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=45..}] well:ruby 0 45")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..45}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..44}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 1) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=64..}] run event entity @e [type=well:pig, r=10, c=1] skin2")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=64..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=64..}] well:ruby 0 64")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..64}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..63}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 2) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run event entity @e [type=well:pig, r=10, c=1] skin3")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=30..}] well:ruby 0 30")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..30}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..29}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 3) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run event entity @e [type=well:pig, r=10, c=1] skin4")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=20..}] well:ruby 0 20")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..20}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..19}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 4) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run event entity @e [type=well:pig, r=10, c=1] skin5")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=10..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=10..}] well:ruby 0 10")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..10}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..9}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 5) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run event entity @e [type=well:pig, r=10, c=1] skin6")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=15..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=15..}] well:ruby 0 15")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..15}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..14}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		
    });
}
export function skin_pet_rabbit(player) {
    let form = new ui.ActionFormData();
	form.title("pet_skins");
    form.body("");
    form.button({ rawtext: [{ translate: "" }] }, "textures/ui/Pets_skins/rabbit/botoes/1.png" );
	form.button({ rawtext: [{ translate: "" }] }, "textures/ui/Pets_skins/rabbit/botoes/2.png" );
	form.button({ rawtext: [{ translate: "" }] }, "textures/ui/Pets_skins/rabbit/botoes/3.png" );
	
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/coelho" );
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/coelho" );
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/coelho" );
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=45..}] run event entity @e [type=well:rabbit, r=10, c=1] skin1")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=45..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=45..}] well:ruby 0 45")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..45}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..44}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 1) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=64..}] run event entity @e [type=well:rabbit, r=10, c=1] skin2")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=64..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=64..}] well:ruby 0 64")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..64}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..63}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 2) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run event entity @e [type=well:rabbit, r=10, c=1] skin3")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=30..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=30..}] well:ruby 0 30")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..30}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..29}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		if (result.selection == 3) {
        player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run event entity @e [type=well:rabbit, r=10, c=1] skin4")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=20..}] run clear @p [r=5, hasitem={item=well:ruby, quantity=20..}] well:ruby 0 20")
		player.runCommandAsync("execute as @p [r=5, hasitem={item=well:ruby, quantity=..20}] run tellraw @p [r=5, hasitem={item=well:ruby, quantity=..19}] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.skin.ruby\" }]}")}
		
		if (result.selection == 4) {
		player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		if (result.selection == 5) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		
    });
}
export function skin_pet_tatu(player) {
    let form = new ui.ActionFormData();
	form.title("pet_skins");
    form.body("");
    form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/tatu" );
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/tatu" );
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/tatu" );
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/tatu" );
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/tatu" );
	form.button({ rawtext: [{ translate: "§´§1???" }] }, "textures/ui/bestiario/Bloqueado/tatu" );
    
    form.show(player).then((result) => {
        if (result.selection == 0) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		if (result.selection == 1) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		if (result.selection == 2) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		if (result.selection == 3) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		if (result.selection == 4) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
		if (result.selection == 5) {
        player.runCommandAsync("execute as @p [r=5] run tellraw @p [r=5] {\"rawtext\":[{ \"translate\":\"nao.pode.comprar.update\" }]}")}
    });
}
