import * as ui from "@minecraft/server-ui";
import { ActionFormData,  MessageFormData,  ModalFormData} from "@minecraft/server-ui";
import { world, system, Player, MolangVariableMap, Entity} from "@minecraft/server";
const overworld = world.getDimension('minecraft:overworld');
import {world as World} from "@minecraft/server";

world.beforeEvents.itemUse.subscribe((eventData) => {
    if (eventData.itemStack?.typeId === "well:teleporterapido") {
        let player = eventData.source;
        player.runCommandAsync("/function scripts_forms/pergaminho");

        const tagActions = {
            "novice": () => menulistwell(player),
            "novice1": () => menulistwell(player),
            "novice2": () => menulistwell(player),
            "novice3": () => menulistwell(player),
            "boss1": () => menulistwell(player),
			
            "adventure": () => menulistwell1(player),
            "adventure1": () => menulistwell1(player),
            "adventure2": () => menulistwell1(player),
            "adventure3": () => menulistwell1(player),
            "adventure4": () => menulistwell1(player),
            "boss2": () => menulistwell1(player),
			
			"master": () => menulistwell2(player),
            "master1": () => menulistwell2(player),
            "master2": () => menulistwell2(player),
            "boss3": () => menulistwell2(player),
			
            "hero": () => menulistwell3(player),
            "hero1": () => menulistwell3(player),
            "hero2": () => menulistwell3(player),
            "hero3": () => menulistwell3(player),
            "hero4": () => menulistwell3(player),
			
            "boss4": () => menulistwell4(player),
			"legendary": () => menulistwell4(player),
			
			"genero": () => genero(player),
        };

        // Check if player has any of the specified tags
        for (const tag in tagActions) {
            if (player.hasTag(tag)) {
                system.run(tagActions[tag]);
                break;
            }
        }
    }
});

export function missao1(player) {
    let form = new ui.ActionFormData();
	form.title("missao1");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao2(player) {
    let form = new ui.ActionFormData();
	form.title("missao2");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao3(player) {
    let form = new ui.ActionFormData();
	form.title("missao3");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao4(player) {
    let form = new ui.ActionFormData();
	form.title("missao4");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao5(player) {
    let form = new ui.ActionFormData();
	form.title("missao5");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao6(player) {
    let form = new ui.ActionFormData();
	form.title("missao6");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao7(player) {
    let form = new ui.ActionFormData();
	form.title("missao7");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao8(player) {
    let form = new ui.ActionFormData();
	form.title("missao8");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao9(player) {
    let form = new ui.ActionFormData();
	form.title("missao9");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao10(player) {
    let form = new ui.ActionFormData();
	form.title("missao10");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao11(player) {
    let form = new ui.ActionFormData();
	form.title("missao11");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao12(player) {
    let form = new ui.ActionFormData();
	form.title("missao12");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao13(player) {
    let form = new ui.ActionFormData();
	form.title("missao13");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao14(player) {
    let form = new ui.ActionFormData();
	form.title("missao14");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao15(player) {
    let form = new ui.ActionFormData();
	form.title("missao15");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao16(player) {
    let form = new ui.ActionFormData();
	form.title("missao16");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}
export function missao17(player) {
    let form = new ui.ActionFormData();
	form.title("missao17");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao(player) }
    });
}

export function missao_boss1(player) {
    let form = new ui.ActionFormData();
	form.title("missao_boss1");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "dungeon.reset" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao_missao_boss1(player) }
    });
}
export function missao_boss2(player) {
    let form = new ui.ActionFormData();
	form.title("missao_boss2");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "dungeon.reset" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao_missao_boss2(player) }
    });
}
export function missao_boss3(player) {
    let form = new ui.ActionFormData();
	form.title("missao_boss3");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "dungeon.reset" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao_missao_boss3(player) }
    });
}
export function missao_boss4(player) {
    let form = new ui.ActionFormData();
	form.title("missao_boss4");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "dungeon.reset" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_missoes")}
		
		if (result.selection == 1) {
        resetmissao_missao_boss4(player) }
    });
}

export function submissao0(player) {
    let form = new ui.ActionFormData();
	form.title("submissao0");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao1(player) {
    let form = new ui.ActionFormData();
	form.title("submissao1");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao2(player) {
    let form = new ui.ActionFormData();
	form.title("submissao2");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao3(player) {
    let form = new ui.ActionFormData();
	form.title("submissao3");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao4(player) {
    let form = new ui.ActionFormData();
	form.title("submissao4");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao5(player) {
    let form = new ui.ActionFormData();
	form.title("submissao5");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao6(player) {
    let form = new ui.ActionFormData();
	form.title("submissao6");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao7(player) {
    let form = new ui.ActionFormData();
	form.title("submissao7");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao8(player) {
    let form = new ui.ActionFormData();
	form.title("submissao8");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao9(player) {
    let form = new ui.ActionFormData();
	form.title("submissao9");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao10(player) {
    let form = new ui.ActionFormData();
	form.title("submissao10");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao11(player) {
    let form = new ui.ActionFormData();
	form.title("submissao11");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao12(player) {
    let form = new ui.ActionFormData();
	form.title("submissao12");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao13(player) {
    let form = new ui.ActionFormData();
	form.title("submissao13");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao14(player) {
    let form = new ui.ActionFormData();
	form.title("submissao14");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao15(player) {
    let form = new ui.ActionFormData();
	form.title("submissao15");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao16(player) {
    let form = new ui.ActionFormData();
	form.title("submissao16");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao17(player) {
    let form = new ui.ActionFormData();
	form.title("submissao17");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao18(player) {
    let form = new ui.ActionFormData();
	form.title("submissao18");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao19(player) {
    let form = new ui.ActionFormData();
	form.title("submissao19");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao20(player) {
    let form = new ui.ActionFormData();
	form.title("submissao20");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao21(player) {
    let form = new ui.ActionFormData();
	form.title("submissao21");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao22(player) {
    let form = new ui.ActionFormData();
	form.title("submissao22");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao23(player) {
    let form = new ui.ActionFormData();
	form.title("submissao23");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao24(player) {
    let form = new ui.ActionFormData();
	form.title("submissao24");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao25(player) {
    let form = new ui.ActionFormData();
	form.title("submissao25");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao26(player) {
    let form = new ui.ActionFormData();
	form.title("submissao26");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao27(player) {
    let form = new ui.ActionFormData();
	form.title("submissao27");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao28(player) {
    let form = new ui.ActionFormData();
	form.title("submissao28");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao29(player) {
    let form = new ui.ActionFormData();
	form.title("submissao29");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
export function submissao30(player) {
    let form = new ui.ActionFormData();
	form.title("submissao30");
    form.body("");
    form.button({ rawtext: [{ translate: "dicas.menu" }]});
	form.button({ rawtext: [{ translate: "reset.missao" }]});
    
    form.show(player).then((result) => {
        
		if (result.selection == 0) {
        player.runCommandAsync("function scripts_forms/dicas_submissoes")}
		
		if (result.selection == 1) {
        resetsubmissao(player) }
    });
}
